Index: orxonox/branches/buerli/config.h.in
===================================================================
--- orxonox/branches/buerli/config.h.in	(revision 2706)
+++ orxonox/branches/buerli/config.h.in	(revision 2707)
@@ -3,7 +3,4 @@
 /* Define to 1 if you have the `bzero' function. */
 #undef HAVE_BZERO
-
-/* Define to 1 if you have the <GL/glut.h> header file. */
-#undef HAVE_GL_GLUT_H
 
 /* Define to 1 if you have the <GL/glu.h> header file. */
Index: orxonox/branches/buerli/configure.ac
===================================================================
--- orxonox/branches/buerli/configure.ac	(revision 2706)
+++ orxonox/branches/buerli/configure.ac	(revision 2707)
@@ -5,13 +5,148 @@
 AC_INIT(orxonox, 0.1-pre-alpha, orxonox-dev@mail.datacore.ch)
 AM_INIT_AUTOMAKE
+
 AC_CONFIG_SRCDIR([.])
 AC_CONFIG_HEADER([config.h])
 
-AC_MSG_CHECKING([for mingw])
+
+# Checks for programs.
+AC_PROG_CXX
+AC_PROG_CC
+
+
+# checking gl header (has to be here because of a Linux error)
+   AC_CHECK_HEADERS(GL/gl.h ,,
+      [AC_MSG_ERROR([cannot find opengl headers]) ])
+
+
+
+### CHECKING FOR SYSTEM ###
+
+AC_MSG_CHECKING([for System])
 case `uname` in
+### WINDOWS ###
   *MINGW*)
+echo "mingw-WINDOWS detected"
+
     mingw="yes"
     MSBITFIELDS="-mms-bitfields"
     MWINDOWS="-mwindows"
+
+# checking gl header
+	#done before loop
+
+#   checking for Windows openGl library
+    AC_CHECK_LIB([opengl32], [main], FOUND_opengl32=yes, "gl/gl.h")
+    if test "$FOUND_opengl32" = "yes" ; then
+	LIBS="$LIBS -lopengl32"
+    else
+	 echo "------------------"
+	 echo "opengl not found."
+	 echo "please install the opengl package which can be found at http://www.opengl.org"
+	 echo "------------------"
+	 exit -1
+    fi
+
+# cheking for GLU-header
+    AC_CHECK_HEADERS(GL/glu.h ,,
+      [AC_MSG_ERROR([cannot find opengl headers]) ])
+
+# checking for libGLU
+    AC_CHECK_LIB([glu32], [main], FOUND_glu32=yes)
+    if test "$FOUND_glu32" = "yes" ; then
+	LIBS="$LIBS -lGLU32"
+    else
+	 echo "------------------"
+	 echo "GLU library not found."
+	 echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
+	 echo "------------------"
+	 exit -1
+    fi
+
+
+# checking for mingw32
+    AC_CHECK_LIB([mingw32], [main], FOUND_mingw32=yes)
+    if test $FOUND_mingw32 = "yes"; then 
+	LIBS="$LIBS -lmingw32"
+    fi
+# checking for SDL-headers
+    AC_CHECK_HEADERS(SDL/SDL.h ,,
+      [AC_MSG_ERROR([cannot find SDL headers]) ])
+
+#checking for libSDL
+    AC_CHECK_LIB([sdlmain], [main], FOUND_sdlmain=yes)
+    if test "$FOUND_sdlmain" = "yes" ; then
+	LIBS="$LIBS -lsdlmain"
+    else
+	 echo "------------------"
+	 echo "SDL library not found."
+	 echo "please install the SDL library, which can be found at http://www.libsdl.org"
+	 echo "------------------"
+	 exit 1
+    fi
+    AC_CHECK_LIB([sdl], [main], FOUND_sdl=yes)
+    if test "$FOUND_sdl" = "yes" ; then
+    	LIBS="$LIBS -lsdl"
+    else
+	 echo "------------------"
+	 echo "SDL library not found."
+	 echo "please install the SDL library, which can be found at http://www.libsdl.org"
+	 echo "------------------"
+	 exit -1
+    fi
+
+    ;;
+
+### LINUX ###
+ *Linux*)
+echo "Linux detected"
+
+ Linux="yes"
+
+# checking gl header
+	#has been done befor linux-check
+
+#  checking for Unix GL
+   AC_CHECK_LIB([GL], [main], FOUND_GL=yes)
+   if test "$FOUND_GL" = "yes" ; then
+     LIBS="$LIBS -lGL"
+   else
+	 echo "------------------"
+	 echo "opengl not found."
+	 echo "please install the opengl package which can be found at http://www.opengl.org"
+	 echo "------------------"
+	 exit -1
+   fi
+
+# cheking for GLU-header
+    AC_CHECK_HEADERS(GL/glu.h ,,
+      [AC_MSG_ERROR([cannot find opengl headers]) ])
+
+    AC_CHECK_LIB([GLU], [gluProject], FOUND_GLU=yes)
+    if test "$FOUND_GLU" = "yes" ; then
+      LIBS="$LIBS -lGLU"
+    else
+	 echo "------------------"
+	 echo "GLU library not found."
+	 echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
+	 echo "------------------"
+	 exit -1
+    fi   
+
+# checking for SDL-headers
+    AC_CHECK_HEADERS(SDL/SDL.h ,,
+      [AC_MSG_ERROR([cannot find SDL headers]) ])
+
+    AC_CHECK_LIB([SDL], [main], FOUND_SDL=yes)
+     if test "$FOUND_SDL" = "yes" ; then
+    	LIBS="$LIBS -lSDL"
+     else
+	 echo "------------------"
+	 echo "SDL library not found."
+	 echo "please install the SDL library, which can be found at http://www.libsdl.org"
+	 echo "------------------"
+	 exit -1
+     fi   
+	
     ;;
   *)
@@ -22,57 +157,5 @@
 AC_SUBST(MSBITFIELDS)
 
-
-# Checks for programs.
-AC_PROG_CXX
-AC_PROG_CC
-
-# Checks for libraries.
-
-#  cheking for libGL
-AC_CHECK_HEADERS(GL/gl.h ,,
-      [AC_MSG_ERROR([cannot find opengl headers]) ])
-
-#   checking for Unix GL
-AC_CHECK_LIB([GL], [main], FOUND_GL=yes)
-if test "$FOUND_GL" = "yes" ; then
-    LIBS="$LIBS -lGL"
-    #   checking for Windows openGl library
-else
-    echo "We did not find the Linux opengl Library. Checking for Windows Library"
-    AC_CHECK_LIB([opengl32], [main], FOUND_opengl32=yes, "gl/gl.h")
-    if test "$FOUND_opengl32" = "yes" ; then
-	LIBS="$LIBS -lopengl32"
-	
-    else
-	 echo "------------------"
-	 echo "opengl not found."
-	 echo "please install the opengl package which can be found at http://www.opengl.org"
-	 echo "------------------"
-	 exit -1
-    fi
-fi
-
-#  cheking for libGLU
-AC_CHECK_HEADERS(GL/glu.h ,,
-      [AC_MSG_ERROR([cannot find opengl headers]) ])
-
-AC_CHECK_LIB([GLU], [gluProject], FOUND_GLU=yes)
-if test "$FOUND_GLU" = "yes" ; then
-    LIBS="$LIBS -lGLU"
-    #   checking for Windows GLU32 library
-else
-    echo "We did not find the Linux GLU Library. Checking for Windows Library"
-    AC_CHECK_LIB([glu32], [main], FOUND_glu32=yes)
-    if test "$FOUND_glu32" = "yes" ; then
-	LIBS="$LIBS -lGLU32"
-	
-	else
-	 echo "------------------"
-	 echo "GLU library not found."
-	 echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
-	 echo "------------------"
-	 exit -1
-    fi
-fi
+#### Checking for LIBraries.
 
 # FIXME: Replace `main' with a function in `-lOSMesa':
@@ -83,54 +166,4 @@
 AC_CHECK_LIB([Xt], [main])
 
-#  cheking for libglut32
-AC_CHECK_HEADERS(GL/glut.h ,,
-      [AC_MSG_ERROR([cannot find glut headers]) ])
-AC_CHECK_LIB([glut], [glutInit], FOUND_glut=yes)
-if test "$FOUND_glut" = "yes" ; then
-    LIBS="$LIBS -lglut"
-    #   checking for Windows glut32 library
-else
-    echo "We did not find the Linux glut Library. Checking for Windows Library"
-    AC_CHECK_LIB([glut32], [main], FOUND_glut32=yes)
-    if test "$FOUND_glut32" = "yes" ; then
-	LIBS="$LIBS -lglut32"
-    else
-	 echo "------------------"
-	 echo "glut library not found."
-	 echo "please install the glut library, which can be found at http://www.xmission.com/~nate/glut.html"
-	 echo "------------------"
-	 exit -1
-    fi
-fi
-
-## mingw CHECK
-if test $mingw = yes ; then
-	AC_CHECK_LIB([mingw32], [main], FOUND_mingw32=yes)
-	if test $FOUND_mingw32 = "yes"; then 
-		LIBS="$LIBS -lmingw32"
-	fi
-fi
-
-## SDL CHECK
-
-#checking for SDL libs
-AC_CHECK_HEADERS(SDL/SDL.h ,,
-      [AC_MSG_ERROR([cannot find SDL headers]) ])
-if test $mingw = no ; then
-	AC_CHECK_LIB([SDL], [main], FOUND_SDL=yes)
-	if test "$FOUND_SDL" = "yes" ; then
-    		LIBS="$LIBS -lSDL"
-	fi
-#   checking for Windows sdl library
-else
-    AC_CHECK_LIB([sdlmain], [main], FOUND_sdlmain=yes)
-    if test "$FOUND_sdlmain" = "yes" ; then
-	LIBS="$LIBS -lsdlmain"
-    fi
-	AC_CHECK_LIB([sdl], [main], FOUND_sdl=yes)
-	if test "$FOUND_sdl" = "yes" ; then
-    		LIBS="$LIBS -lsdl"
-	fi
-fi
 
 #checking for pthread libs
Index: orxonox/branches/buerli/gui/Makefile.am
===================================================================
--- orxonox/branches/buerli/gui/Makefile.am	(revision 2706)
+++ orxonox/branches/buerli/gui/Makefile.am	(revision 2707)
@@ -3,7 +3,7 @@
 
 bin_PROGRAMS=gui
-gui_SOURCES=orxonox_gui.cc orxonox_gui_video.cc	orxonox_gui_audio.cc orxonox_gui_exec.cc orxonox_gui_flags.cc orxonox_gui_banner.cc
+gui_SOURCES=orxonox_gui.cc orxonox_gui_video.cc	orxonox_gui_audio.cc orxonox_gui_exec.cc orxonox_gui_flags.cc orxonox_gui_banner.cc orxonox_gui_keys.cc
 
-noinst_HEADERS=orxonox_gui.h orxonox_gui_video.h orxonox_gui_audio.h orxonox_gui_exec.h orxonox_gui_flags.h orxonox_gui_banner.h
+noinst_HEADERS=orxonox_gui.h orxonox_gui_video.h orxonox_gui_audio.h orxonox_gui_exec.h orxonox_gui_flags.h orxonox_gui_banner.h orxonox_gui_keys.h
 
 #  uncomment the following if bencoder requires the math library
